<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="isLogin"></navbar-app>

<div class="professor-detail" dir="rtl">
  <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ sidebar -->
  <div class="sidebar" dir="rtl">
    <div class="img" data-aos="fade-left" data-aos-duration="500">
      <img
        [src]="
          professorDetail.profileImage
            ? imageUrl + professorDetail.profileImage
            : imageUrl + defaultImageUrl
        "
        alt=""
      />
    </div>
    <div class="info" data-aos="fade-left" data-aos-duration="500">
      <div>
        <p>
          <span> نام : </span>
          <span> {{ professorDetail.fullName }} </span>
        </p>
      </div>
      <div>
        <p>
          <span> مرتبه علمی : </span>
          <span> {{ professorDetail.academicRank }} </span>
        </p>
      </div>
      <div>
        <p>
          <span> دانشکده : </span>
          <span> {{ professorDetail.collegeName }} </span>
        </p>
      </div>
      <div>
        <p>
          <span> رشته : </span>
          <span> {{ professorDetail.field }} </span>
        </p>
      </div>
      <div
        class="icons"
        *ngIf="
          professorDetail.linkedIn ||
          professorDetail.telegram ||
          professorDetail.twitter ||
          professorDetail.facebook ||
          professorDetail.instagram
        "
      >
        <p>
          <span (click)="showLinkText(1)" *ngIf="professorDetail.linkedIn">
            <img src="../../../assets/images/icon png/linkedin.png" alt="" />
          </span>

          <span (click)="showLinkText(2)" *ngIf="professorDetail.telegram">
            <img src="../../../assets/images/icon png/telegram.png" alt="" />
          </span>

          <span (click)="showLinkText(3)" *ngIf="professorDetail.twitter">
            <img src="../../../assets/images/icon png/twitter.png" alt="" />
          </span>

          <span (click)="showLinkText(4)" *ngIf="professorDetail.facebook">
            <img src="../../../assets/images/icon png/facebook.png" alt="" />
          </span>

          <span (click)="showLinkText(5)" *ngIf="professorDetail.instagram">
            <img src="../../../assets/images/icon png/instagram.png" alt="" />
          </span>
        </p>
        <div
          class="show-link-text"
          *ngIf="showLinkTextBox"
          data-aos="fade-right"
          data-aos-duration="500"
        >
          {{ linkText }}
        </div>
      </div>
      <div class="follow-btn">
        <p *ngIf="professorId != userId">
          <a class="follow" *ngIf="!isFollowed" (click)="follow()">
            <fa-icon [icon]="faPlus"></fa-icon>
            دنبال کردن
          </a>
          <a class="unfollow" *ngIf="isFollowed" (click)="unFollow()">
            <fa-icon [icon]="faTimes"></fa-icon>
            عدم دنبال
          </a>
        </p>
      </div>
    </div>
    <div class="contact" data-aos="fade-up" data-aos-duration="500">
      <div>
        <p>
          <span> مدرک : </span>
          <span> {{ professorDetail.educationDegree }} </span>
        </p>
      </div>
      <div>
        <p>
          <span> سال تولد : </span>
          <span> {{ professorDetail.birthYear }} </span>
        </p>
      </div>
      <div>
        <p>
          <span> شماره تماس : </span>
          <span> {{ professorDetail.phoneNumber }} </span>
        </p>
      </div>
      <div>
        <p>
          <span> ایمیل : </span>
          <span> {{ professorDetail.email }} </span>
        </p>
      </div>
      <div class="download-btn">
        <a
          [href]="professorDetail.cv != '' ? cvUrl + professorDetail.cv : ''"
          target="_blank"
          download="CV"
        >
          <fa-icon [icon]="faDownload"></fa-icon>
          <span>دانلود رزومه </span>
        </a>
      </div>
    </div>
  </div>

  <div class="main">
    <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ tab-box -->
    <div class="tab-box" dir="rtl" data-aos="fade-down" data-aos-duration="500">
      <!-- @@@@@@@@@@ tab -->
      <div
        class="tab active"
        role="records"
        (click)="changeTab('records')"
        dir="rtl"
      >
        <p>سوابق</p>
      </div>

      <!-- @@@@@@@@@@ tab -->
      <div class="tab" role="content" (click)="changeTab('content')" dir="rtl">
        <p>مطالب</p>
      </div>
      <!-- @@@@@@@@@@ tab -->
      <div class="tab" role="program" (click)="changeTab('program')" dir="rtl">
        <p>برنامه هفتگی</p>
      </div>
      <!-- @@@@@@@@@@ tab -->
      <div class="tab" role="article" (click)="changeTab('article')" dir="rtl">
        <p>مقالات</p>
      </div>

      <!-- @@@@@@@@@@ tab -->
      <div class="tab" role="event" (click)="changeTab('event')" dir="rtl">
        <p>اطلاعیه</p>
      </div>

      <!-- @@@@@@@@@@ tab -->
      <div
        class="tab"
        role="activities"
        (click)="changeTab('activities')"
        dir="rtl"
      >
        <p>فعالیت ها</p>
      </div>
    </div>
    <!-- @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ content-box -->
    <div class="content-box">
      <div id="records" class="content-active" *ngIf="tabName == 'records'">
        <app-detail-records></app-detail-records>
      </div>
      <div id="content" *ngIf="tabName == 'content'">
        <app-detail-content></app-detail-content>
      </div>
      <div id="program" *ngIf="tabName == 'program'">
        <app-detail-program></app-detail-program>
      </div>
      <div id="article" *ngIf="tabName == 'article'">
        <app-detail-article></app-detail-article>
      </div>
      <div id="event" *ngIf="tabName == 'event'">
        <app-detail-event></app-detail-event>
      </div>
      <div id="activities" *ngIf="tabName == 'activities'">
        <app-detail-activities></app-detail-activities>
      </div>
      <!-- loader -->
      <div class="content-loader" *ngIf="showContentLoader">
        <app-loader></app-loader>
      </div>
    </div>
  </div>
</div>

<footer-app [checkLogin]="isLogin"></footer-app>
